#pragma once

#include <yandex/maps/wiki/validator/common.h>

#include <yandex/maps/wiki/common/rd/access_id.h>
#include <yandex/maps/wiki/common/rd/cond_type.h>

#include <vector>

namespace maps::wiki::validator {

class CondToll
{
public:
    CondToll(
        TId id,
        const AttrMap& attributes,
        const Relations& masters,
        const Relations& slaves);

    TId id() const
    { return id_; }

    TId viaJunction() const
    { return viaJunction_; }

    TId fromRoadElement() const
    { return fromRoadElement_; }

private:
    TId id_;
    TId viaJunction_;
    TId fromRoadElement_;
};

} // namespace maps::wiki::validator
